Index: www/firefox/patches/patch-bs
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-bs,v
retrieving revision 1.2
diff -u -r1.2 patch-bs
--- www/firefox/patches/patch-bs	23 Jun 2004 16:47:12 -0000	1.2
+++ www/firefox/patches/patch-bs	8 Jul 2005 21:51:23 -0000
@@ -1,15 +1,38 @@
-$NetBSD: patch-bs,v 1.2 2004/06/23 16:47:12 taya Exp $
+$NetBSD$
 
-diff -ru ../Orig/mozilla/config/mkdepend/imakemdep.h ./config/mkdepend/imakemdep.h
---- ../Orig/mozilla/config/mkdepend/imakemdep.h	1998-09-05 13:22:25.000000000 +0900
-+++ ./config/mkdepend/imakemdep.h	2004-06-15 23:56:48.000000000 +0900
-@@ -277,6 +277,9 @@
+--- config/mkdepend/imakemdep.h.orig	1998-09-05 06:22:25.000000000 +0200
++++ config/mkdepend/imakemdep.h	2004-11-17 10:33:27.000000000 +0100
+@@ -235,7 +235,7 @@
+ #ifdef _CRAY
+ #define DEFAULT_CPP "/lib/pcpp"
+ #endif
+-#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__)
++#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__DragonFly__)
+ #define DEFAULT_CPP "/usr/libexec/cpp"
+ #endif
+ #ifdef	MACH
+@@ -273,10 +273,13 @@
+ #ifdef unix
+ 	"-Uunix",	/* remove unix symbol so that filename unix.c okay */
+ #endif
+-#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(MACH)
++#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(MACH) || defined(__DragonFly__)
  # ifdef __i386__
  	"-D__i386__",
  # endif
-+#if defined(__amd64__) || defined(__x86_64__)
++# if defined(__amd64__) || defined(__x86_64__)
 +	"-D__amd64__ -D__x86_64__",
 +# endif
  # ifdef __GNUC__
  	"-traditional",
  # endif
+@@ -710,6 +713,9 @@
+ #ifdef __sgi
+ 	{"__sgi", "1"},
+ #endif
++#ifdef __DragonFly__
++	{"__DragonFly__", "1"},
++#endif
+ #ifdef __FreeBSD__
+ 	{"__FreeBSD__", "1"},
+ #endif
Index: www/firefox/patches/patch-cg
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-cg,v
retrieving revision 1.4
diff -u -r1.4 patch-cg
--- www/firefox/patches/patch-cg	22 Jun 2005 22:05:34 -0000	1.4
+++ www/firefox/patches/patch-cg	8 Jul 2005 21:51:23 -0000
@@ -2,7 +2,7 @@
 
 --- extensions/transformiix/source/base/Double.cpp.orig	2004-01-15 22:23:18.000000000 +0100
 +++ extensions/transformiix/source/base/Double.cpp	2005-06-20 11:26:26.000000000 +0200
-@@ -48,6 +48,38 @@
+@@ -48,8 +48,40 @@
   * Utility class for doubles
   */
  
@@ -39,9 +39,12 @@
 +#else	/* pre INFINITY C environment */
 +
  //A trick to handle IEEE floating point exceptions on FreeBSD - E.D.
- #ifdef __FreeBSD__
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
  #include <ieeefp.h>
-@@ -127,9 +159,20 @@
+ #ifdef __alpha__
+ fp_except_t allmask = FP_X_INV|FP_X_OFL|FP_X_UFL|FP_X_DZ|FP_X_IMP;
+@@ -127,9 +159,20 @@ const PRUint32 infMask[2] =    {0, TX_DO
  const PRUint32 negInfMask[2] = {0, TX_DOUBLE_HI32_EXPMASK | TX_DOUBLE_HI32_SIGNBIT};
  #endif
  
@@ -65,7 +68,7 @@
  
  /*
   * Determines whether the given double represents positive or negative
-@@ -157,6 +200,7 @@
+@@ -157,6 +200,7 @@ MBool Double::isNeg(double aDbl)
  {
      return (TX_DOUBLE_HI32(aDbl) & TX_DOUBLE_HI32_SIGNBIT) != 0;
  }
@@ -73,7 +76,7 @@
  
  /*
   * Converts the given String to a double, if the String value does not
-@@ -244,7 +288,7 @@
+@@ -244,7 +288,7 @@ public:
      {
          if (mState == eIllegal || mBuffer.IsEmpty() ||
              (mBuffer.Length() == 1 && mBuffer[0] == '.')) {
@@ -82,4 +85,3 @@
          }
          return mSign*PR_strtod(mBuffer.get(), 0);
      }
-
Index: www/firefox/patches/patch-db
===================================================================
RCS file: www/firefox/patches/patch-db
diff -N www/firefox/patches/patch-db
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-db	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- gc/boehm/gcconfig.h.orig	2004-11-17 10:31:05.000000000 +0100
++++ gc/boehm/gcconfig.h	2004-11-17 10:31:15.000000000 +0100
+@@ -183,7 +183,7 @@
+ #   define OPENBSD
+ #   define mach_type_known
+ # endif
+-# if defined(__FreeBSD__) && defined(i386)
++# if (defined(__FreeBSD__) || defined(__DragonFly__)) && defined(i386)
+ #   define I386
+ #   define FREEBSD
+ #   define mach_type_known
Index: www/firefox/patches/patch-dc
===================================================================
RCS file: www/firefox/patches/patch-dc
diff -N www/firefox/patches/patch-dc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dc	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,22 @@
+$NetBSD$
+
+--- gc/boehm/mach_dep.c.orig	2004-11-17 10:30:03.000000000 +0100
++++ gc/boehm/mach_dep.c	2004-11-17 10:30:50.000000000 +0100
+@@ -206,7 +206,7 @@
+ 	&& !defined(SCO) && !defined(SCO_ELF) \
+  	&& !(defined(LINUX)       && defined(__ELF__)) \
+ 	&& !(defined(__FreeBSD__) && defined(__ELF__)) \
+-	&& !defined(DOS4GW)
++	&& !defined(DOS4GW) && !(defined(__DragonFly__) && defined(__ELF__))
+ 	/* I386 code, generic code does not appear to work */
+ 	/* It does appear to work under OS2, and asms dont */
+ 	/* This is used for some 38g UNIX variants and for CYGWIN32 */
+@@ -220,7 +220,7 @@
+ #       endif
+ 
+ #	if ( defined(I386) && defined(LINUX) && defined(__ELF__) ) \
+-	|| ( defined(I386) && defined(__FreeBSD__) && defined(__ELF__) )
++	|| ( defined(I386) && (defined(__FreeBSD__) || defined(__DragonFly__)) && defined(__ELF__) )
+ 
+ 	/* This is modified for Linux with ELF (Note: _ELF_ only) */
+ 	/* This section handles FreeBSD with ELF. */
Index: www/firefox/patches/patch-dd
===================================================================
RCS file: www/firefox/patches/patch-dd
diff -N www/firefox/patches/patch-dd
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dd	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- mailnews/movemail/src/movemail.c.orig	2004-11-17 10:29:29.000000000 +0100
++++ mailnews/movemail/src/movemail.c	2004-11-17 10:29:43.000000000 +0100
+@@ -52,7 +52,7 @@
+ #define LINUX_GLIBC_2
+ 
+ #include <sys/errno.h>
+-#if !defined(__FreeBSD__) && !defined(MACLINUX) && !defined(LINUX_GLIBC_2)
++#if !defined(__FreeBSD__) && !defined(MACLINUX) && !defined(LINUX_GLIBC_2) && !defined(__DragonFly__)
+ extern char *sys_errlist[];
+ extern int sys_nerr;
+ #endif
Index: www/firefox/patches/patch-df
===================================================================
RCS file: www/firefox/patches/patch-df
diff -N www/firefox/patches/patch-df
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-df	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- nsprpub/pr/include/md/_freebsd.h.orig	2003-11-16 00:36:13.000000000 +0100
++++ nsprpub/pr/include/md/_freebsd.h	2004-11-17 10:19:00.000000000 +0100
+@@ -72,7 +76,7 @@
+ #define _PR_NO_LARGE_FILES
+ 
+ #if defined(_PR_PTHREADS)
+-#if __FreeBSD_version >= 400008
++#if defined(__DragonFly__) || __FreeBSD_version >= 400008
+ /*
+  * libc_r before this version of FreeBSD doesn't have poll().
+  * Although libc has poll(), it is not thread-safe so we can't
+@@ -81,7 +85,7 @@
+ #define _PR_POLL_AVAILABLE
+ #endif
+ #else
+-#if __FreeBSD_version >= 300000
++#if defined(__DragonFly__) || __FreeBSD_version >= 300000
+ #define _PR_POLL_AVAILABLE
+ #define _PR_USE_POLL
+ #endif
+@@ -90,7 +94,7 @@
+ #define _PR_HAVE_SYSV_SEMAPHORES
+ #define PR_HAVE_SYSV_NAMED_SHARED_MEMORY
+ 
+-#if __FreeBSD_version >= 400014
++#if defined(__DragonFly__) || __FreeBSD_version >= 400014
+ #define _PR_INET6
+ #define _PR_HAVE_INET_NTOP
+ #define _PR_HAVE_GETHOSTBYNAME2
Index: www/firefox/patches/patch-dh
===================================================================
RCS file: www/firefox/patches/patch-dh
diff -N www/firefox/patches/patch-dh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dh	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,18 @@
+$NetBSD$
+
+--- xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h.orig	2004-11-17 11:30:31.000000000 +0100
++++ xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h	2004-11-17 11:30:50.000000000 +0100
+@@ -77,6 +77,13 @@
+ #define THUNK_BASED_THIS_ADJUST
+ #endif
+ 
++#elif defined(__DragonFly__)
++#  if defined(__FreeBSD_cc_version)
++#    define CFRONT_STYLE_THIS_ADJUST
++#  else
++#    define THUNK_BASED_THIS_ADJUST
++#  endif
++
+ #elif defined(__FreeBSD__) 
+ /* System versions of gcc on FreeBSD don't use thunks.  On 3.x, the system
+  * compiler is gcc 2.7.2.3, which doesn't use thunks by default.  On 4.x and
Index: www/firefox/patches/patch-di
===================================================================
RCS file: www/firefox/patches/patch-di
diff -N www/firefox/patches/patch-di
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-di	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- directory/c-sdk/configure.orig	2005-05-23 20:42:20.000000000 +0200
++++ directory/c-sdk/configure
+@@ -3448,7 +3448,7 @@ EOF
+     PR_MD_CSRCS=dgux.c
+     ;;
+ 
+-*-freebsd*)
++*-freebsd* | *-dragonfly*)
+     if test -z "$USE_NSPR_THREADS"; then
+         USE_PTHREADS=1
+     fi
+@@ -5297,7 +5297,7 @@ echo "configure:5281: checking whether $
+             _PTHREAD_LDFLAGS=
+         fi
+ 	    ;;
+-    *-freebsd*|*-openbsd*|*-bsdi*|*-netbsd*)
++    *-freebsd*|*-openbsd*|*-bsdi*|*-netbsd*|*-dragonfly*)
+ 	    cat >> confdefs.h <<\EOF
+ #define _THREAD_SAFE 1
+ EOF
+@@ -5372,7 +5372,7 @@ EOF
+ 
+     fi
+     ;;
+-*-freebsd*)
++*-freebsd*|*-dragonfly*)
+     if test -n "$USE_NSPR_THREADS"; then
+         cat >> confdefs.h <<\EOF
+ #define _PR_LOCAL_THREADS_ONLY 1
Index: www/firefox/patches/patch-dj
===================================================================
RCS file: www/firefox/patches/patch-dj
diff -N www/firefox/patches/patch-dj
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dj	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- dbm/src/mktemp.c.orig	2005-05-23 21:26:42.000000000 +0200
++++ dbm/src/mktemp.c	2005-05-23 21:27:08.000000000 +0200
+@@ -98,7 +98,7 @@
+ static int 
+ _gettemp(char *path, register int *doopen, int extraFlags)
+ {    
+-#if !defined(_WINDOWS) || defined(_WIN32)
++#if (!defined(_WINDOWS) || defined(_WIN32)) && !defined(errno)
+ 	extern int errno;                    
+ #endif
+ 	register char *start, *trv;
Index: www/firefox/patches/patch-dk
===================================================================
RCS file: www/firefox/patches/patch-dk
diff -N www/firefox/patches/patch-dk
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dk	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- security/coreconf/config.mk.orig	2005-05-24 01:20:38.000000000 +0200
++++ security/coreconf/config.mk	2005-05-24 01:20:09.000000000 +0200
+@@ -59,7 +59,7 @@
+ #######################################################################
+ 
+ TARGET_OSES = FreeBSD BSD_OS NetBSD OpenUNIX OS2 QNX Darwin BeOS OpenBSD \
+-              OpenVMS AIX
++              OpenVMS AIX DragonFly
+ 
+ ifeq (,$(filter-out $(TARGET_OSES),$(OS_TARGET)))
+ include $(CORE_DEPTH)/coreconf/$(OS_TARGET).mk
Index: www/firefox/patches/patch-dl
===================================================================
RCS file: www/firefox/patches/patch-dl
diff -N www/firefox/patches/patch-dl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dl	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,88 @@
+$NetBSD$
+
+--- /dev/null	2005-05-24 01:23:34.000000000 +0200
++++ security/coreconf/DragonFly.mk	2005-05-24 01:23:34.000000000 +0200
+@@ -0,0 +1,83 @@
++#
++# The contents of this file are subject to the Mozilla Public
++# License Version 1.1 (the "License"); you may not use this file
++# except in compliance with the License. You may obtain a copy of
++# the License at http://www.mozilla.org/MPL/
++# 
++# Software distributed under the License is distributed on an "AS
++# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
++# implied. See the License for the specific language governing
++# rights and limitations under the License.
++# 
++# The Original Code is the Netscape security libraries.
++# 
++# The Initial Developer of the Original Code is Netscape
++# Communications Corporation.  Portions created by Netscape are 
++# Copyright (C) 1994-2000 Netscape Communications Corporation.  All
++# Rights Reserved.
++# 
++# Contributor(s):
++# 
++# Alternatively, the contents of this file may be used under the
++# terms of the GNU General Public License Version 2 or later (the
++# "GPL"), in which case the provisions of the GPL are applicable 
++# instead of those above.  If you wish to allow use of your 
++# version of this file only under the terms of the GPL and not to
++# allow others to use your version of this file under the MPL,
++# indicate your decision by deleting the provisions above and
++# replace them with the notice and other provisions required by
++# the GPL.  If you do not delete the provisions above, a recipient
++# may use your version of this file under either the MPL or the
++# GPL.
++#
++# Config stuff for DragonFly
++#
++
++include $(CORE_DEPTH)/coreconf/UNIX.mk
++
++DEFAULT_COMPILER	= gcc
++CC			= gcc
++CCC			= g++
++RANLIB			= ranlib
++
++ifeq ($(OS_TEST),alpha)
++CPU_ARCH		= alpha
++else
++CPU_ARCH		= x86
++endif
++
++OS_CFLAGS		= $(DSO_CFLAGS) -ansi -Wall -DFREEBSD -DHAVE_STRERROR -DHAVE_BSD_FLOCK
++
++DSO_CFLAGS		= -fPIC
++DSO_LDOPTS		= -shared -Wl,-soname -Wl,$(notdir $@)
++
++#
++# The default implementation strategy for FreeBSD is pthreads.
++#
++ifndef CLASSIC_NSPR
++USE_PTHREADS		= 1
++DEFINES			+= -D_THREAD_SAFE -D_REENTRANT
++OS_LIBS			+= -pthread
++DSO_LDOPTS		+= -pthread
++endif
++
++ARCH			= freebsd
++
++MOZ_OBJFORMAT		:= $(shell test -x /usr/bin/objformat && /usr/bin/objformat || echo aout)
++
++DLL_SUFFIX		= so
++
++ifdef LIBRUNPATH
++DSO_LDOPTS		+= -Wl,-R$(LIBRUNPATH)
++endif
++
++MKSHLIB			= $(CC) $(DSO_LDOPTS)
++ifdef MAPFILE
++# Add LD options to restrict exported symbols to those in the map file
++endif
++# Change PROCESS to put the mapfile in the correct format for this platform
++PROCESS_MAP_FILE = cp $(LIBRARY_NAME).def $@
++
++G++INCLUDES		= -I/usr/include/g++
++
++INCLUDES		+= -I/usr/X11R6/include
Index: www/firefox/patches/patch-dm
===================================================================
RCS file: www/firefox/patches/patch-dm
diff -N www/firefox/patches/patch-dm
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dm	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- security/nss/cmd/platlibs.mk.orig	2005-05-24 14:48:31.000000000 +0200
++++ security/nss/cmd/platlibs.mk	2005-05-24 14:48:38.000000000 +0200
+@@ -182,8 +182,8 @@ endif
+ # If GNU ld is used, we must use the -rpath-link option to tell
+ # the linker where to find libsoftokn3.so, an implicit dependency
+ # of libnss3.so.
+-ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD, $(OS_ARCH)))
+-EXTRA_SHARED_LIBS += -Wl,-rpath-link,$(DIST)/lib
++ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD DragonFly, $(OS_ARCH)))
++EXTRA_SHARED_LIBS += -Wl,-rpath-link,$(DIST)/lib -R/usr/pkg/lib/firefox
+ endif
+ 
+ ifeq ($(OS_ARCH), SunOS)
Index: www/firefox/patches/patch-do
===================================================================
RCS file: www/firefox/patches/patch-do
diff -N www/firefox/patches/patch-do
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-do	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,87 @@
+$NetBSD$
+
+--- /dev/null	2005-05-24 23:07:26.000000000 +0200
++++ directory/c-sdk/config/DragonFly.mk	2005-05-25 00:01:24.000000000 +0200
+@@ -0,0 +1,82 @@
++# 
++# The contents of this file are subject to the Mozilla Public
++# License Version 1.1 (the "License"); you may not use this file
++# except in compliance with the License. You may obtain a copy of
++# the License at http://www.mozilla.org/MPL/
++# 
++# Software distributed under the License is distributed on an "AS
++# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
++# implied. See the License for the specific language governing
++# rights and limitations under the License.
++# 
++# The Original Code is the Netscape Portable Runtime (NSPR).
++# 
++# The Initial Developer of the Original Code is Netscape
++# Communications Corporation.  Portions created by Netscape are 
++# Copyright (C) 1998-2000 Netscape Communications Corporation.  All
++# Rights Reserved.
++# 
++# Contributor(s):
++# 
++# Alternatively, the contents of this file may be used under the
++# terms of the GNU General Public License Version 2 or later (the
++# "GPL"), in which case the provisions of the GPL are applicable 
++# instead of those above.  If you wish to allow use of your 
++# version of this file only under the terms of the GPL and not to
++# allow others to use your version of this file under the MPL,
++# indicate your decision by deleting the provisions above and
++# replace them with the notice and other provisions required by
++# the GPL.  If you do not delete the provisions above, a recipient
++# may use your version of this file under either the MPL or the
++# GPL.
++# 
++
++#
++# Config stuff for DragonFly
++#
++
++include $(MOD_DEPTH)/config/UNIX.mk
++
++CC			= gcc
++CCC			= g++
++RANLIB			= ranlib
++
++OS_REL_CFLAGS		= -Di386
++CPU_ARCH		= x86
++CPU_ARCH_TAG		= _$(CPU_ARCH)
++
++OS_CFLAGS		= $(DSO_CFLAGS) $(OS_REL_CFLAGS) -ansi -Wall -pipe $(THREAD_FLAG) -DFREEBSD -DHAVE_STRERROR -DHAVE_BSD_FLOCK
++
++#
++# The default implementation strategy for FreeBSD is pthreads.
++#
++ifeq ($(CLASSIC_NSPR),1)
++IMPL_STRATEGY		= _EMU
++DEFINES			+= -D_PR_LOCAL_THREADS_ONLY
++else
++USE_PTHREADS		= 1
++IMPL_STRATEGY		= _PTH
++DEFINES			+= -D_THREAD_SAFE
++THREAD_FLAG		+= -pthread
++endif
++
++ARCH			= freebsd
++
++MOZ_OBJFORMAT          := $(shell test -x /usr/bin/objformat && /usr/bin/objformat || echo aout)
++
++ifeq ($(MOZ_OBJFORMAT),elf)
++DLL_SUFFIX		= so
++else
++DLL_SUFFIX		= so.1.0
++endif
++
++DSO_CFLAGS		= -fPIC
++DSO_LDOPTS		= -Bshareable
++
++ifdef LIBRUNPATH
++DSO_LDOPTS		+= -Wl,-R$(LIBRUNPATH)
++endif
++
++MKSHLIB			= $(LD) $(DSO_LDOPTS)
++
++G++INCLUDES		= -I/usr/include/g++
Index: www/firefox/patches/patch-dp
===================================================================
RCS file: www/firefox/patches/patch-dp
diff -N www/firefox/patches/patch-dp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dp	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- other-licenses/libical/src/libical/Makefile.in.orig	2005-05-25 00:03:42.000000000 +0200
++++ other-licenses/libical/src/libical/Makefile.in	2005-05-25 00:03:51.000000000 +0200
+@@ -179,7 +179,7 @@
+ 	$(PERL) $(ICALSCRIPTS)/mkrestrictiontable.pl  -i $(srcdir)/icalrestriction.c.in \
+                 $(DESIGNDATA)/restrictions.csv > icalrestriction.c
+ 
+-ifneq (,$(filter BeOS Darwin OpenVMS NetBSD FreeBSD,$(OS_ARCH)))
++ifneq (,$(filter BeOS Darwin OpenVMS NetBSD FreeBSD DragonFly,$(OS_ARCH)))
+ DEFINES	+= -D__USE_BSD=1
+ endif
+ 
Index: www/firefox/patches/patch-dr
===================================================================
RCS file: www/firefox/patches/patch-dr
diff -N www/firefox/patches/patch-dr
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dr	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- config/config.mk.orig	2005-05-25 00:07:14.000000000 +0200
++++ config/config.mk	2005-05-25 00:07:26.000000000 +0200
+@@ -146,7 +146,7 @@
+ # but save the version to allow multiple versions of the same base
+ # platform to be built in the same tree.
+ #
+-ifneq (,$(filter FreeBSD HP-UX IRIX Linux NetBSD OpenBSD OSF1 SunOS,$(OS_ARCH)))
++ifneq (,$(filter DragonFly FreeBSD HP-UX IRIX Linux NetBSD OpenBSD OSF1 SunOS,$(OS_ARCH)))
+ OS_RELEASE	:= $(basename $(OS_RELEASE))
+ 
+ # Allow the user to ignore the OS_VERSION, which is usually irrelevant.
Index: www/firefox/patches/patch-ds
===================================================================
RCS file: www/firefox/patches/patch-ds
diff -N www/firefox/patches/patch-ds
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-ds	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- security/coreconf/arch.mk.orig	2005-06-03 20:57:46.000000000 +0200
++++ security/coreconf/arch.mk
+@@ -141,7 +141,7 @@ endif
+ # IRIX 6.5-ALPHA-1289139620.
+ #
+ 
+-ifeq (,$(filter-out Linux FreeBSD IRIX,$(OS_ARCH)))
++ifeq (,$(filter-out Linux DragonFly FreeBSD IRIX,$(OS_ARCH)))
+     OS_RELEASE := $(shell echo $(OS_RELEASE) | sed 's/-.*//')
+ endif
+ 
Index: www/firefox/patches/patch-dt
===================================================================
RCS file: www/firefox/patches/patch-dt
diff -N www/firefox/patches/patch-dt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dt	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- directory/c-sdk/config/arch.mk.orig	2005-06-03 20:59:03.000000000 +0200
++++ directory/c-sdk/config/arch.mk
+@@ -138,7 +138,7 @@ endif
+ # Handle FreeBSD 2.2-STABLE and Linux 2.0.30-osfmach3
+ #
+ 
+-ifeq (,$(filter-out Linux FreeBSD,$(OS_ARCH)))
++ifeq (,$(filter-out Linux DragonFly FreeBSD,$(OS_ARCH)))
+ OS_RELEASE	:= $(shell echo "$(OS_RELEASE)" | sed 's/-.*//')
+ endif
+ 
Index: www/firefox/patches/patch-du
===================================================================
RCS file: www/firefox/patches/patch-du
diff -N www/firefox/patches/patch-du
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-du	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,17 @@
+$NetBSD$
+
+--- config/rules.mk.orig	2005-06-03 21:08:53.000000000 +0200
++++ config/rules.mk
+@@ -444,6 +444,12 @@ EXTRA_DSO_LDOPTS += -Wl,-Bsymbolic
+ endif
+ endif
+ 
++ifeq ($(OS_ARCH),DragonFly)
++ifdef IS_COMPONENT
++EXTRA_DSO_LDOPTS += -Wl,-Bsymbolic
++endif
++endif
++
+ ifeq ($(OS_ARCH),NetBSD)
+ ifneq (,$(filter arc cobalt hpcmips mipsco newsmips pmax sgimips,$(OS_TEST)))
+ ifeq ($(MODULE),layout)
Index: www/firefox/patches/patch-dv
===================================================================
RCS file: www/firefox/patches/patch-dv
diff -N www/firefox/patches/patch-dv
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dv	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- js/src/Makefile.in.orig	2005-06-03 21:11:22.000000000 +0200
++++ js/src/Makefile.in
+@@ -250,6 +250,9 @@ endif # WINNT
+ ifeq ($(OS_ARCH),FreeBSD)
+ LDFLAGS		+= -pthread
+ endif
++ifeq ($(OS_ARCH),DragonFly)
++LDFLAGS		+= -pthread
++endif
+ ifeq ($(OS_ARCH),IRIX)
+ ifdef USE_N32
+ DASH_R		+= -n32
